## com.imcode.imcms.servlet.admin
Class ChangeText.TextEditPage

    java.lang.Object
      com.imcode.imcms.servlet.admin.ChangeText.TextEditPage

Enclosing class:
  ChangeText

    public static class ChangeText.TextEditPage

extends java.lang.Object

Nested Class Summary
`static class` `ChangeText.TextEditPage.Format`

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__PAGE`

Constructor Summary
`ChangeText.TextEditPage(int documentId, int textIndex, TextDomainObject text, java.lang.String label)`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UserDomainObject user)`
`int` `getDocumentId()`
`java.lang.String` `getLabel()`
`int` `getTextIndex()`
`java.lang.String` `getTextString()`
`int` `getType()`
`boolean` `isEnabled()`
`boolean` `isSubstitutedWithDefault()`
`void` `setEnabled(boolean enabled)`
`void` `setSubstitutedWithDefault(boolean substitutedWithDefault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_ATTRIBUTE__PAGE

    public static final java.lang.String REQUEST_ATTRIBUTE__PAGE

See Also:
  Constant Field Values

Constructor Detail

### ChangeText.TextEditPage

    public ChangeText.TextEditPage(int documentId,
                                   int textIndex,
                                   TextDomainObject text,
                                   java.lang.String label)

Method Detail

### getDocumentId

    public int getDocumentId()

### getTextString

    public java.lang.String getTextString()

### getTextIndex

    public int getTextIndex()

### getLabel

    public java.lang.String getLabel()

### getType

    public int getType()

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        UserDomainObject user)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### isSubstitutedWithDefault

    public boolean isSubstitutedWithDefault()

### setSubstitutedWithDefault

    public void setSubstitutedWithDefault(boolean substitutedWithDefault)